View Issue Details

IDProjectCategoryView StatusLast Update
0004935Talermechant backendpublic2017-06-06 14:18
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004935: check wire fees are acceptable or covered
DescriptionWe need to check that the wire fees charged by the exchange are acceptable to us, or covered by the customer.

This requires updating the contract specification with maximum wire fees, and us checking that the constraints are met.
TagsNo tags attached.

Relationships

related to 0004936 closedFlorian Dold check wire fees are acceptable or covered when making payment 
child of 0004929 closedChristian Grothoff need to add wire transfer aggregate fee 

Activities

Christian Grothoff

2017-03-05 20:13

manager   ~0011893

As of 2b78ff4..09b01a1 the fee data is now parsed/processed and made available to /pay.

What is missing is that /pay needs to pass the wire transfer method to TMH_EXCHANGES_find_exchange(), and then use the fee information and payment data it is given to check that it is acceptable.

Christian Grothoff

2017-03-06 18:20

manager   ~0011898

Implemented in d3e568e..a4f578b

Issue History

Date Modified Username Field Change
2017-03-04 16:55 Christian Grothoff New Issue
2017-03-04 16:55 Christian Grothoff Status new => assigned
2017-03-04 16:55 Christian Grothoff Assigned To => Marcello Stanisci
2017-03-04 16:55 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2017-03-04 16:55 Christian Grothoff Relationship added child of 0004929
2017-03-04 16:57 Christian Grothoff Relationship added related to 0004936
2017-03-05 20:13 Christian Grothoff Note Added: 0011893
2017-03-06 18:20 Christian Grothoff Status assigned => resolved
2017-03-06 18:20 Christian Grothoff Resolution open => fixed
2017-03-06 18:20 Christian Grothoff Fixed in Version => 0.3
2017-03-06 18:20 Christian Grothoff Note Added: 0011898
2017-06-06 14:18 Christian Grothoff Status resolved => closed